Name:		cabal2spec
Version:	0.17
Release:	2%{?dist}
Summary:	Tool for creating .spec files for Haskell Cabal Packages

Group:		Development/Languages
License:	GPLv2+
URL:		https://fedorahosted.org/cabal2spec/
Source0:	https://fedorahosted.org/releases/c/a/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
This package provides specfile templates and a script cabal2spec for easy
packaging of Haskell Cabal packages (hackages) for ghc following
the Fedora Haskell Packaging Guidelines and associated RPM macros.

%prep
%setup -q

%build
%{nil}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/rpmdevtools


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 30 2009 Jens Petersen <petersen@redhat.com> - 0.17-1
- let -devel packages provide ghc-pkg_name for convenience

* Mon May 25 2009 Jens Petersen <petersen@redhat.com> - 0.16-2
- drop the ghc requires (and arch) completely since not actually needed

* Wed May 13 2009 Jens Petersen <petersen@redhat.com> - 0.16-1
- add BR ghc-rpm-macros to templates

* Thu Apr 30 2009 Jens Petersen <petersen@redhat.com> - 0.15-2
- use exclusivearch since no ghc on ppc64 yet

* Sat Apr 25 2009 Jens Petersen <petersen@redhat.com> - 0.15-1
- templates buildrequire at least ghc-6.10.2-3 for macros
- fix binlib doc filelist name

* Fri Apr 24 2009 Jens Petersen <petersen@redhat.com> - 0.14-1
- ghc_version is now in macros.ghc in ghc-6.10.2-3

* Fri Apr 24 2009 Jens Petersen <petersen@redhat.com> - 0.13-1
- requires at least ghc-6.10.2-2
- ghc_version is now set directly from ghc
- ghc buildrequires no longer versioned
- pkg_libdir and pkg_docdir replaced by ghcpkgdir and ghcdocdir in macros.ghc
- add doc filelist

* Fri Feb 27 2009 Jens Petersen <petersen@redhat.com> - 0.12-1
- lib packages own docdir now that there is no base package

* Fri Feb 27 2009 Jens Petersen <petersen@redhat.com> - 0.11-1
- go back to ExclusiveArch and add alpha

* Fri Feb 27 2009 Jens Petersen <petersen@redhat.com> - 0.10-1
- just ExcludeArch ppc64 for now to make life easier

* Thu Feb 26 2009 Jens Petersen <petersen@redhat.com> - 0.9-1
- drop ghc_archs since it does not work in koji

* Wed Feb 25 2009 Jens Petersen <petersen@redhat.com> - 0.8-1
- use ghc_archs
- create devel subpackages for lib and binlib

* Mon Feb 23 2009 Jens Petersen <petersen@redhat.com> - 0.7-1
- cabal2spec-0.7:
  - use %%global instead of %%define
  - quieten output of scripts
- updates urls to fedorahosted

* Mon Feb 16 2009 Jens Petersen <petersen@redhat.com> - 0.6-1
- update to cabal2spec-0.6:
  - add doc post requires for ghc-doc
  - cabal2spec-diff now uses cabal2spec
- use config(noreplace) for template files (#479803)

* Tue Feb 10 2009 Jens Petersen <petersen@redhat.com>
- update summary and description

* Mon Feb  9 2009 Jens Petersen <petersen@redhat.com> - 0.5-1
- add cabal2spec-diff script to diff current spec against current template
- add ghc-doc BR to binlib and lib templates

* Tue Jan 20 2009 Jens Petersen <petersen@redhat.com> - 0.4-3
- rename package to cabal2spec

* Tue Jan 20 2009 Jens Petersen <petersen@redhat.com> - 0.4-2
- remove old todo comments about splitting and ghc dep

* Tue Jan 20 2009 Jens Petersen <petersen@redhat.com> - 0.4-1
- move ghc_version back to templates for now
- leave macros.ghc in ghc
- require ghc

* Wed Jan 14 2009 Jens Petersen <petersen@redhat.com> - 0.3-1
- move and rename templates to /etc/rpmdevtools (#479803)
- provide a tarball
- add -doc subpackages for libs

* Tue Jan 13 2009 Jens Petersen <petersen@redhat.com> - 0.1-1
- initial version separated from ghc
